# Ignore all generated files from LaTeX compilation
*.aux
*.bbl
*.blg
*.log
*.out
*.toc
*.synctex.gz
*.fls
*.fdb_latexmk
*.pdf
*.dvi
*.ps
*.bcf
*.run.xml
*.idx
*.ind
*.ilg
*.lot
*.lof
*.lbx
*.ent
*.gz
*.nlo
*.brf

# Ignore editor-specific and temporary files
*.bak
*.swp
*~
.#*

# Ignore pictures etc
*.eps
*.jpg
*.png

# Include specific source files and build scripts
!.gitignore
!*.tex
!*.bib
!*.bst
!*.cls
!*.texshop
!*.bat